pipeline {
    agent any

    stages {
        stage('[Subsonics] - Déploiement') {
            steps {
                script {
    
                    echo "[Subsonics-Deploy] - Deploy Stage"
                    sh "ssh raphix@raphix.fr sudo apt update -y"
                    sh "ssh raphix@raphix.fr sudo apt upgrade -y"
                    sh "ssh raphix@raphix.fr sudo -S -u gitlab-ci /home/gitlab-ci/subsonics_deploy.sh"
                   
                              
                }
                
            }
        }
    }
}
